Bug Hunting Session
Bug 37960 - Shift click to select multiple drawings does not work if picture there[Summary in Comment # 30]
Summary: Shift click to select multiple drawings does not work if picture there[Summar...
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.0 release
Hardware: All All
: highest minor
Assignee: Andras Timar
URL:
Whiteboard: SummaryUpdate target:4.4.0 target:4.3.5
Keywords: regression
: 33807 40854 41135 42167 45240 51081 60669 79990 80854 (view as bug list)
Depends on:
Blocks: mab4.2
  Show dependency treegraph
 
Reported: 2011-06-05 13:04 UTC by Regina Henschel
Modified: 2019-04-05 13:55 UTC (History)
29 users (show)

See Also:
Crash report or crash signature:


Attachments
Testdocument for shift+click (18.34 KB, application/vnd.oasis.opendocument.text)
2011-06-05 13:04 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2011-06-05 13:04:24 UTC
Created attachment 47570 [details]
Testdocument for shift+click

Open attached document click on first rectangle. Then shift+click on second rectangle.
Expected: Both rectangles are selected together.
Seen: The selection jumps to the picture.

Remove the picture.
Again click on first rectangle, then shift+click on second rectangle. Now it works, both rectangles are selected.

This error comes over form OOo. There it was OK till DEV300m75 and is broken since DEV300m76.
Comment 1 clio 2011-06-05 23:11:54 UTC
Confirming with LibO 3.4.0 on Linux.
Comment 2 Rainer Bielefeld Retired 2011-06-10 02:57:41 UTC
RC2 is bit by bit identical with release version, so separate items in the version picker are useless. Changes have been discussed with Michael Meeks.
Comment 3 Rainer Bielefeld Retired 2011-09-25 23:29:23 UTC
*** Bug 41135 has been marked as a duplicate of this bug. ***
Comment 4 Rainer Bielefeld Retired 2011-09-29 23:33:12 UTC
[Reproducible] with "LibreOffice 3.4.3 RC2 - WIN7 Home Premium (64bit) German UI [OOO340m1 (Build:302)]" 

[Reproducible] with "LibreOffice Portable 3.3.3  - WIN7  Home Premium (64bit) German UI [OOO330m19 (Build:301  Tag 3.3.3.1)]".

Similar problems with OOo 3.1.1, but behavior different in some details

@Cédric:
Please feel free to reassign (or reset Assignee to default) if it’s not your area or if provided information is not sufficient. Please set Status to ASSIGNED if you accept this Bug.
Comment 5 Regina Henschel 2011-10-02 11:56:24 UTC
*** Bug 40854 has been marked as a duplicate of this bug. ***
Comment 6 stragu 2011-11-22 00:37:37 UTC
Confirming with 3.4.3 on Ubuntu 11.10.
Comment 7 Björn Michaelsen 2011-12-23 13:24:40 UTC
Since all new unconfirmed bugs start in state UNCONFIRMED now and old unconfirmed bugs were moved to NEEDINFO with a explanatory comment, all bugs promoted above those bug states to NEW and later are automatically confirmed making the CONFIRMED whiteboard status redundant. Thus it will be removed.
Comment 8 Jay 2012-03-26 17:40:23 UTC
I am proposing to escalate this bug, as this impairs functionality with graphics.  Although Bug 41135 is seen as a duplicate, the reproduction steps are different and the problem with this sequence does not go away with repeated attempts.  It makes LibO Writer unusable with graphics, which is a major feature with today's word processors.
Comment 9 Jim Lellman 2012-10-15 16:18:44 UTC
Still in LibreOffice 3.6.1.2 on Windows XP
Comment 10 sjd333 2012-11-28 20:54:26 UTC
This is a seriously big bug. Still present on 3.5.7.2 on Windows 8. Why so little attention?
Comment 11 yngwie 2012-11-30 16:52:10 UTC
I confirm the bug is still there in Libreoffice 3.6.0.2, Build 360m1(Build:102), on Linux.

It's amazing how such an annoying bug (amongst many other bugs) making Libreoffice (or Ooo) Writer just unusable draws almost no attention. How come people from Libreoffice team can argue it suitable for profesionnal environment ? Not a chance...
Comment 12 Mikolaj.Q 2012-12-11 11:34:04 UTC
Still present in LO 4.0 alpha.
Comment 13 Jean-Baptiste Faure 2012-12-11 11:47:52 UTC
Please do not change version number. It shows the oldest version in which the bug has been found.
Comment 14 stragu 2013-01-15 04:18:04 UTC
*** Bug 51081 has been marked as a duplicate of this bug. ***
Comment 15 stragu 2013-01-15 04:20:27 UTC
This is still the case in:
LO v. 3.6.4.3 Release
Ubuntu 12.10 - 32 bits

I marked Bug 51081 as a duplicate.
Comment 16 László Németh 2013-02-15 10:41:53 UTC
Still in LibreOffice 4. Workaround: click on the first rectangle, press and hold Shift and drag a selection frame *around* the second rectangle.
Comment 17 László Németh 2013-02-15 10:51:27 UTC
(In reply to comment #16)
> Still in LibreOffice 4. Workaround: click on the first rectangle, press and
> hold Shift and drag a selection frame *around* the second rectangle.

Note: workaround only works, when the second click (first point of the selection frame) is not on the header or the footer area (start at bottom of the rectangle).
Comment 18 tommy27 2013-06-17 19:46:06 UTC
bug still present in LibO 4.0.3
Comment 19 MiQ 2013-07-24 13:22:37 UTC
bug still present in LibO 4.1 rc2
annoying bug, anyone going to fix it?
Comment 20 tommy27 2013-07-30 20:27:08 UTC
confirming it on LibO 4.1.0.4

moving it to mab4.0 vs. 3.6 because 3.6 has reached EOL so we are in the process of closing the meta bug.
Comment 21 stragu 2013-09-06 06:22:57 UTC
This is still present in LO 4.0.5.2

Any advancement on this 2-year old bug, Cédric?
Comment 22 stragu 2013-09-06 06:24:34 UTC
*** Bug 42167 has been marked as a duplicate of this bug. ***
Comment 23 stragu 2013-09-06 06:27:02 UTC
*** Bug 49625 has been marked as a duplicate of this bug. ***
Comment 24 stragu 2013-09-06 06:36:01 UTC
Just marked Bug 42167 and Bug 49625 as duplicates of this one.
Bug 33807 is probably a duplicate too (problem with selecting multiple paragraphs when picture is present).

This makes it a total of 5 (possibly 6) duplicates of this bug, which shows how much attention this issue gets from users.

To prevent further duplicates, we should think of renaming this bug with something that includes all cases, something like:
"Shift-click for selecting multiple objects or sections is not possible when document includes a picture"
Comment 25 ntrrgc 2013-11-18 19:08:47 UTC
*** Bug 33807 has been marked as a duplicate of this bug. ***
Comment 26 MiQ 2013-12-30 16:59:37 UTC
Still present in LO 4.2 RC1. Sad.
Comment 27 Björn Michaelsen 2014-01-17 09:58:33 UTC Comment hidden (obsolete)
Comment 28 Owen Genat (retired) 2014-01-27 22:26:58 UTC
*** Bug 60669 has been marked as a duplicate of this bug. ***
Comment 29 stragu 2014-02-12 08:00:41 UTC
Moving to mab4.1 (Bug 60270) because:
- 4.0 reached EOL (End Of Life)
- bug confirmed in 4.1
Comment 30 HannahL 2014-02-18 04:38:37 UTC
Summary
Comments confirming bug on different versions include:
Comment 1, Comment 4, Comment 6, Comment 9, Comment 10, Comment 11, Comment 12, Comment 15, Comment 18, Comment 19, Comment 20, Comment 21

Comment 8 proposed escalating the bug

Comments 16 and 17 contain a workaround: "click on the first rectangle, press and hold Shift and drag a selection farm *around* the second rectangle. Note: workaround only works, when the second click (first point of the selection frame) is not on the header or the footer area (start at the bottom of the rectangle)."

Comment 29 noted the bug has been added to mab4.1
Comment 31 Björn Michaelsen 2014-03-15 18:44:00 UTC
Between m75 and m76, cws sw33bf02 looks like a candidate, which has:

 http://cgit.freedesktop.org/libreoffice/core/commit/?id=5d57f18e6f0b14a1bf2c0f418a9cd6f64e06781b

claiming to fix i#89920 handling ctrl-click selections.
Comment 32 Sergey 2014-03-18 11:01:54 UTC
Bug detected on Linux Ubuntu and Windows 7
Since version 3.5.7.2 to current version (4.2.2.1)
Comment 33 momo82612@gmail.com 2014-03-25 16:39:59 UTC
This is still present on Linux Ubuntu and Windows 7.
The current version is LO 4.2.2.1.
Multiple choice between an image and the image is impossible.
Multiple choice between an image and the drawing objects is impossible.
Multi-select the objects and FontWork drawing is in progress.
Comment 34 Joel Madero 2014-03-25 22:52:49 UTC
Updating priority according to flowchart: https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg

Minor -- does not prevent high quality work - it can indeed slow it down but this is just a minor annoyance vs. where it was marked (major which implies crashes, etc . . .)
Highest -- I can imagine this being quite annoying for enough people to qualify as highest. Pretty typical in multiple pieces of software to be able to select in this manner.


Confirmed on 4.3 built: Sun Mar 23 23:07:35 2014 +0100
Comment 35 denzilsearle 2014-04-25 09:43:46 UTC
(In reply to comment #34)
> Updating priority according to flowchart:
> https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.
> jpg
> 
> Minor -- does not prevent high quality work - it can indeed slow it down but
> this is just a minor annoyance vs. where it was marked (major which implies
> crashes, etc . . .)
> Highest -- I can imagine this being quite annoying for enough people to
> qualify as highest. Pretty typical in multiple pieces of software to be able
> to select in this manner.
> 
> 
> Confirmed on 4.3 built: Sun Mar 23 23:07:35 2014 +0100

I confirm that this bug is very annoying. Imagine a picture with a number of arrows and captions. If I want to move it I have to select and move everything individually. Not the end of the world but very frustrating. We need to be able to select and group objects with pictures.
Comment 36 tommy27 2014-05-02 14:24:43 UTC
bug still here in 4.2.3.3
moving to the mab4.2 list since 4.1 is EOL
Comment 37 n.lederbauer 2014-05-23 09:57:40 UTC
Bug still here on 4.2.4.2.
I canot select multiple images either with the mouse doing a frame nor with the shift key as it is mentionned in the help.
this is in writer

it works in draw
Comment 38 denzilsearle 2014-06-09 11:27:11 UTC
We have just passed three years since this bug was raised.
Comment 39 Joel Madero 2014-06-09 14:45:42 UTC
In the future please don't leave comments that don't add to the bug report. There are several thousand bug reports, mostly being worked on by volunteers. We'd happily accept a patch from you
Comment 40 denzilsearle 2014-06-25 09:19:56 UTC
(In reply to comment #38)
> We have just passed three years since this bug was raised.

Perhaps that was inappropriate. I apologise.
Comment 41 Jorendc 2014-07-03 20:37:58 UTC
*** Bug 80854 has been marked as a duplicate of this bug. ***
Comment 42 Norbert X 2014-10-01 18:11:05 UTC
Version: 4.3.2.2 Build ID: 430m0(Build:2)

Bug is not fixed. I unable to group rectangle with image behind it.
Comment 43 Joel Madero 2014-10-01 18:32:11 UTC
Please don't add the bug to MAB without knowing procedures. This doesn't belong on 4.3. Thanks
Comment 44 Norbert X 2014-10-04 10:46:19 UTC
Dear Joel!
I understood, you mean that 4.2 is still supported, so this bug should not be added to newer 4.3. I missed this, thank you!


But I can't believe that it does not work. Even more I can't group two images too. May be the problem is caused by self-appearing contextual toolbars (problems with focus).

The ability of grouping objects in text processor is essential. 
This bug makes bad reputation of whole LibreOffice project and may cause user disappointment.

Please fix this bug as soon as possible.
Comment 45 Joel Madero 2014-10-04 19:51:28 UTC
Hi Norbert -

Just to be honest - it's very unlikely that this will be fixed soon. We are a community of volunteers - people fix what bugs they want to fix generally. In the grand scheme of things this really isn't a big deal - compare to crashes, loss of data, or loss of MAJOR functionality (such as printing) and you can understand that this isn't comparably a big deal. That being said, the options are:

1. Submit a patch yourself;
2. Find a friend, family member, etc . . . to do so;
3. Pay for a developer to fix it;
4. Wait for a volunteer to voluntarily accept the fix

Comments such as "The ability of grouping objects in text processor is essential." don't add at all to us finding a solution (no offense but just clutters the bug report - and trust me, 1 in 10 bugs have some similar comment from users who want to say "THIS IS AN ABSOLUTE BLOCKER! or some variation of it).

Thanks for your feedback and understanding
Comment 46 Commit Notification 2014-10-28 15:47:37 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5f447bb0156322c542649809e1f8ec1db2f22e7d

fdo#37960 fix shift+click to select multiple drawings

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 47 Norbert X 2014-10-28 16:29:35 UTC
If it is possible - please fix this bug in 4.3 too.
Comment 48 tommy27 2014-10-28 18:27:43 UTC
(In reply to Joel Madero from comment #45)
> Hi Norbert -
> 
> Just to be honest - it's very unlikely that this will be fixed soon.
> ...

hi Joel, 
Nostradamus wasn't one of your ancestors for sure!!!  :-)

another MAB bites the dust!!! thanks Andras!!!
Comment 49 Norbert X 2014-11-21 20:40:12 UTC
I confirm that bug is fixed on LibO 4.4 (
Version: 4.4.0.0.beta1
Build ID: 9af3d21234aa89dac653c0bd76648188cdeb683e
Locale: en_US
), but the fix is needed for LibO 4.3 too.
Comment 51 Norbert X 2014-11-21 21:14:20 UTC
@Andras 
I'm on Ubuntu 12.04.5 with libreoffice PPA - I have 4.3.3~rc2-0ubuntu1~precise1 version installed (Version: 4.3.3.2
Build ID: 430m0(Build:2)).

I installed 4.3.4.1 from DEBs - the bug is fixed. Thank you!

If you can please look at bug 79990 too.
Comment 52 Dominik 2015-04-21 11:04:42 UTC
*** Bug 79990 has been marked as a duplicate of this bug. ***
Comment 53 Vasant 2015-10-04 05:36:53 UTC
Workaround:
1. Click the "select" tab located on "Drawing tool bar".
2. Hold "Shift" and then drag to select multiple drawings.
Comment 54 Vasant 2015-10-04 05:39:30 UTC
Workaround:
1. Press "select" tab located on "Drawing tool bar".
2. Hold "shift" and then drag to select multiple drawings.
Comment 55 tommy27 2015-10-04 05:43:44 UTC
@Vasant
please do not mess up old bug reports
as indicated int the whiteboard and in previous comments the bug has been fixed since LibO 4.3.5 so if you experience the bug with 4.2.8 is just because you are using an obsolete LibO version

you should upgrade to latest LibO 4.4.5 or 5.0.2 releases

setting back status and version fields to correct values
Comment 56 seakha 2016-02-25 14:24:59 UTC
I am using LibreOffice Version: 5.1.0.3 Build ID: 1:5.1.0~rc3-0ubuntu1~trusty0; the bug is still there. It is almost five years that I am checking this bug and it has never been resolved. Folks here saying that "the bug has been fixed since LibO 4.3.5," it has not  been the case for me. I installed all new updates; installed it fresh for every single major update since 4.3. The bug is still there and it is very annoying. It does not exist in Impress or Draw, it only affects Writer.

I am using LibreOffice as my main productivity suite and I usually have diagrams and images that I need to put an arrow or circle on it to show a specific feature in the image. I cannot group them in Writer. Every time, I have to insert the image and the drawing element in Impress or Draw, select and group them there; then copy and paste it in Writer. 

I think it is a major problem. I am a devoted Libreoffice user. I wrote my 350 page PhD dissertation in LibreOffice and this very bug was a pain in the rear end every single time. 

I hope someone resolve this issue once for ever. As it simply works in Impress and Draw!
Comment 57 Joel Madero 2016-02-25 15:58:41 UTC
Please don't reopen bugs that have been closed for a long time. Closing this again. Report a new bug if you're experiencing similar problems. Include a clean simple test document and easy repro steps. Thanks.
Comment 58 Cor Nouws 2016-02-25 16:02:32 UTC
(In reply to seakha from comment #56)
> I am using LibreOffice Version: 5.1.0.3 Build ID:
> 1:5.1.0~rc3-0ubuntu1~trusty0; the bug is still there. 

Hi Seakha,

Sorry to read that you have problems with this. And thanks for checking and reporting.

Now looking at the original report:

(In reply to Regina Henschel from comment #0)
> Created attachment 47570 [details]
> Testdocument for shift+click
> 
> Open attached document click on first rectangle. Then shift+click on second
> rectangle.
> Expected: Both rectangles are selected together.
> Seen: The selection jumps to the picture.

This simply works for me in 5.0.5.2 on Ubuntu (thus didn't bother to check other versions.)
Therefor I expect your problem to be a (bit) different. Could you please open a new issue with clear description of the steps and test document as attachment?

(And even if the same problem would have occurred, there would have been another underlying problem probably, thus also then a new issue is the way to go :) )

Closing again..
Comment 59 Cor Nouws 2016-02-25 16:03:11 UTC
.
Comment 60 Norbert X 2017-04-19 20:34:56 UTC
Bug is not fixed. 
Still unable to select both image and drawing object with <Shift>+Click.


Version: 5.1.6.2
Build ID: 1:5.1.6~rc2-0ubuntu1~xenial1
CPU Threads: 4; OS Version: Linux 4.4; UI Render: default; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 61 Tor Lillqvist 2017-04-19 20:46:47 UTC
Did you read comment #57? Which part of "Please don't reopen bugs that have been closed for a long time" don't you understand?
Comment 62 Regina Henschel 2017-04-19 21:24:20 UTC
@Norbert X: This bug is really fixed. This bug is about selecting _two shapes_. 

Your problem is to select an image together with a shape. The underlying reason is the same as for selecting two images. And that is bug 34438.
Comment 63 Regina Henschel 2017-04-19 21:27:37 UTC
*** Bug 45240 has been marked as a duplicate of this bug. ***